// Copyright © Selmo Technology GmbH. All Rights Reserved

namespace SelmoStudio.Hmi.Server.Shared.Components.BaseComponents
{
    public partial class CollectionExportComponent<T> : ExportComponent
    {
        protected override async Task OnClick()
        {
            if (Payload is List<T> listOfT)
            {
                await _fileDownloadService.DownloadAsync<T>(Filename, FileFormat, listOfT);
            }
        }
    }
}